path: /build/build/nvidia-550-kernel-open-modules-kernel-6.6-550.78+1.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-550/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge =x11-drivers/nvidia-kernel-modules-550.78
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.78
  - |
    eval 'rm -rf /nvidia-550-kernel-open-modules || true' && mkdir /nvidia-550-kernel-open-modules && \
    luet-portage --dir /nvidia-550-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-550-kernel-open-modules/lib/modules/nvidia-open/550.78/6.6.45-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5806641323b1b4a278ed72e7a02447b8492fe693e2f70e44735067921bd13564
  package:
    name: nvidia-550-kernel-open-modules
    version: 550.78+1
    category: kernel-6.6
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-22 15:50:34.649658376 +0000 UTC m=+674.517181470
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.45
      original.package.slot: "550"
      original.package.version: "550.78"
    treedir: /build/packages
  package_dir: /nvidia-550-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5ca86442b0ceb09d1cf3b95aa8613a28d1b798115bd6563ec615780868d0d40c
compressiontype: zstd
files:
- lib/modules/nvidia-open/550.78/6.6.45-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia-open/550.78/6.6.45-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia-open/550.78/6.6.45-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia-open/550.78/6.6.45-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-550-kernel-open-modules
  version: 550.78+1
  category: kernel-6.6
  use_flags:
  - open-kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.45
    original.package.slot: "550"
    original.package.version: "550.78"
